Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pebble.api.decorator
Interface ContentDecorator

All Known Implementing Classes:
  AbstractTagsDecorator, BlogCategoriesDecorator, BlogTagsDecorator, ContentDecoratorChain, ContentDecoratorSupport, DisableCommentsDecorator, DisableResponseDecorator, DisableTrackBacksDecorator, EscapeMarkupDecorator, ExcerptDecorator, HideUnapprovedResponsesDecorator, HtmlDecorator, NoFollowDecorator, PhotoDecorator, RadeoxDecorator, ReadMoreDecorator, RelativeUriDecorator, TechnoratiTagsDecorator, TrackBackAutoDiscoveryDecorator

    public interface ContentDecorator

Interface implemented by content decorators. Decorators are created on a per blog basis, meaning that multiple threads can be operating on an instance at any one time.

Author:
  Simon Brown

Method Summary
`void` | `decorate(ContentDecoratorContext context, BlogEntry blogEntry)` Decorates the specified blog entry.
`void` | `decorate(ContentDecoratorContext context, Comment comment)` Decorates the specified comment.
`void` | `decorate(ContentDecoratorContext context, StaticPage staticPage)` Decorates the specified static page.
`void` | `decorate(ContentDecoratorContext context, TrackBack trackBack)` Decorates the specified TrackBack.
`Blog` | `getBlog()` Gets the blog to which this decorator is associated.
`void` | `setBlog(Blog blog)` Sets the blog to which this decorator is associated.

Method Detail

### decorate

    void decorate(ContentDecoratorContext context,
                  BlogEntry blogEntry)

  Decorates the specified blog entry.

  Parameters:
    `context` - the context in which the decoration is running
    `blogEntry` - the blog entry to be decorated

### decorate

    void decorate(ContentDecoratorContext context,
                  Comment comment)

  Decorates the specified comment.

  Parameters:
    `context` - the context in which the decoration is running
    `comment` - the comment to be decorated

### decorate

    void decorate(ContentDecoratorContext context,
                  TrackBack trackBack)

  Decorates the specified TrackBack.

  Parameters:
    `context` - the context in which the decoration is running
    `trackBack` - the TrackBack to be decorated

### decorate

    void decorate(ContentDecoratorContext context,
                  StaticPage staticPage)

  Decorates the specified static page.

  Parameters:
    `context` - the context in which the decoration is running
    `staticPage` - the static page to be decorated

### getBlog

    Blog getBlog()

  Gets the blog to which this decorator is associated.

  Returns:
    a Blog instance

### setBlog

    void setBlog(Blog blog)

  Sets the blog to which this decorator is associated.

  Parameters:
    `blog` - a Blog instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006, Simon Brown. All Rights Reserved.